Subject: Re: bug#4375: 23.1.50; can't kill killed gud buffer

From: [email-masked] (Nick Roberts)
Date: Thu, 10 Sep 2009 22:08:21 +1200

> Though with these changes after I've quit the debugger and attempt to close
 > emacs, I get the following message
 > 
 > Active processes exist; kill them and exit anyway...
 > 
 > Proc         Status   Buffer   Tty      Command
 > ----         ------   ------   ---      -------
 > gdb-inferior run      (Killed) /dev/pts/3
 > 
 > Do you want a new bug for this?

I only see this now if I kill the I/O buffer directly.  Do you still see it if
you kill the GUD buffer (as recommended in the manual to kill all the buffers
associated with the session)?

If so, did you recompile both gdb-mi.el and gud.el before you loaded them?

I need to handle killing the I/O buffer directly and I'll look into it when I
have time.

-- 
Nick                                           http://www.inet.net.nz/~nickrob